package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_CRACK_DETECTION_PROBE所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-07-05
 */
@SuppressWarnings("serial")
public class HttCrackDetectionProbeEntity implements java.io.Serializable {
    /**
     * 探头ID
     */
    private String probeId = "";
    /**
     * 探头种类代码
     */
    private String probeTypeCode = "";
    /**
     * 探头个数
     */
    private String probeQty = "";
    /**
     * 探头参数
     */
    private String probeParameters = "";
    /**
     * 探头序号
     */
    private String probeSeq = "";
    /**
     * 探头种类名称
     */
    private String probeTypeName = "";

    /**
     * 探头ID
     * @return value
     */
    public String getProbeId() {
        return probeId;
    }

    /**
     * 探头ID
     * @param probeId value
     */
    public void setProbeId(String probeId) {
        this.probeId = probeId;
    }

    /**
     * 探头种类代码
     * @return value
     */
    public String getProbeTypeCode() {
        return probeTypeCode;
    }

    /**
     * 探头种类代码
     * @param probeTypeCode value
     */
    public void setProbeTypeCode(String probeTypeCode) {
        this.probeTypeCode = probeTypeCode;
    }

    /**
     * 探头个数
     * @return value
     */
    public String getProbeQty() {
        return probeQty;
    }

    /**
     * 探头个数
     * @param probeQty value
     */
    public void setProbeQty(String probeQty) {
        this.probeQty = probeQty;
    }

    /**
     * 探头参数
     * @return value
     */
    public String getProbeParameters() {
        return probeParameters;
    }

    /**
     * 探头参数
     * @param probeParameters value
     */
    public void setProbeParameters(String probeParameters) {
        this.probeParameters = probeParameters;
    }

    /**
     * 探头序号
     * @return value
     */
    public String getProbeSeq() {
        return probeSeq;
    }

    /**
     * 探头序号
     * @param probeSeq value
     */
    public void setProbeSeq(String probeSeq) {
        this.probeSeq = probeSeq;
    }

    /**
     * 探头种类名称
     * @return value
     */
    public String getProbeTypeName() {
        return probeTypeName;
    }

    /**
     * 探头种类名称
     * @param probeTypeName value
     */
    public void setProbeTypeName(String probeTypeName) {
        this.probeTypeName = probeTypeName;
    }
}